<?php
/**
 * @file
 * Contains page call back of menu defined in cod_custom.module.
 */

/**
 * Callback function of menu generate-json.
 */
function cod_custom_json_output() {
  $node_revions_count = _cod_get_node_revision_count();
  $json_revision_count = _cod_get_json_revision_count();
  if (variable_get('generate_json') == TRUE || $node_revions_count != $json_revision_count) {
    _cod_mobile_generate_json_file();
  }
  return 'Created';
}

/**
 * Callback function of menu json-version.
 */
function cod_custom_json_version() {
  $json_version = _cod_mobile_get_json_version();
  $json = array('version' => $json_version);
  drupal_json_output($json);
}
